[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.RealCursor

Gets the value for the Cursor property taking temporary cursors into account.

## Declaration

Source position: forms.pp line 1273

`public property TScreen.RealCursor : TCursor read GetRealCursor;`

## Description

RealCursor is a read-only TCursor property which provides the current shape for the cursor taking temporary cursors into account.

Temporary cursors are added and removed using the BeginTempCursor and EndTempCursor methods. When a temporary cursor exists, RealCursor returns the most recent cursor shape added to the internal list using BeginTempCursor. If the internal list is empty, the value in Cursor is returned as the property value.

The value from RealCursor is used in the SetCursor method to determine the value stored in the Cursor property, and passed as an argument to SetCursor in the widgetset class.